Debian Bug report logs - #682504
Vanilla standard live image kernel panics: init killed

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>

Date: Mon, 23 Jul 2012 11:48:01 UTC

Severity: serious

Found in version live-boot/3.0~a36-1

Fixed in version live-boot/3.0~a38-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#682504; Package linux-image-3.2.0-3-686-pae. (Mon, 23 Jul 2012 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Jul 2012 11:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Kernel panic booting live iso hybrid image as USB: quirk_usb_early_handoff
Date: Mon, 23 Jul 2012 08:15:06 -0300
Package: linux-image-3.2.0-3-686-pae
Version: 3.2.21-3
Severity: normal

I built a fresh sid live i386 image using no special customization (just
includes kde-full builtin package list) and 686-pae kernel. I cannot
boot this image on an Atom N450 system due to the following kernel
panic (painstakingly hand-copied from the what I could see of the
display, minus timestamps which start at 3.025619 and end at 3.864838):

sd 4:0:0:0: [sdb] No Caching mode page present
sd 4:0:0:0: [sdb] Assuming drive cache: write through
sd 4:0:0:0: [sdb] Attached SCSI removable disk
usb 1-6: New USB device found, idVendor=13d3, idProduct=5702
usb 1-6: New USB device strings: Mfr=3, Product=1, SerialNumber=2
usb 1-6: Product: USB2.0 UVC VGA WebCam
usb 1-6: Manufacturer: Azurewave
usb 1-6: SerialNumber: 200901010001
busybox: sending ioctl 5310 to a partition!
busybox: sending ioctl 5310 to a partition!
aufs: module is from the staging directory, the quality is unknown, you have been warned.
aufs 3.2-20120312
loop: module loaded
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Kernel panic - not syncing: Attempted to kill init!
Pid: 1, comm: init Tainted: G         C   3.2.0-3-686-pae #1
Call Trace:
 [<c12bb01f>] ? panic+0x4d/0x144
 [<c103aa94>] ? do_exit+0x76/0x5f7
 [<c103b217>] ? do_group_exit+0x5c/0x7f
 [<c103b24b>] ? sys_exit_group+0x11/0x11
 [<c12bfa14>] ? syscall_call+0x7/0xb
 [<c12b0000>] ? quirk_usb_early_handoff+0x4a9/0x522

Prior to this test, I had my USB mouse plugged in. It was the last device detected. I unplugged this device to see if it would change the behaviour, so in the text captured above, the webcam is now last. As you can see the behaviour did not change; it still panics. Unfortunately I can't disable the camera in the BIOS so I was unable to see what would happen if that, too, were unplugged (short of disassembling the unit and physically unplugging it inside, which I would be willing to do if it would help debug, but somehow I doubt it).

Please let me know if there is further info I could gather for you.

Thanks,
Ben



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#682504; Package linux-image-3.2.0-3-686-pae. (Mon, 23 Jul 2012 12:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Jul 2012 12:12:08 GMT) Full text and rfc822 format available.

Message #10 received at 682504@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>, 682504@bugs.debian.org
Subject: Re: Bug#682504: Kernel panic booting live iso hybrid image as USB: quirk_usb_early_handoff
Date: Mon, 23 Jul 2012 13:09:56 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 live-build

On Mon, 2012-07-23 at 08:15 -0300, Ben Armstrong wrote:
> Package: linux-image-3.2.0-3-686-pae
> Version: 3.2.21-3
> Severity: normal
> 
> I built a fresh sid live i386 image using no special customization (just
> includes kde-full builtin package list) and 686-pae kernel. I cannot
> boot this image on an Atom N450 system due to the following kernel
> panic (painstakingly hand-copied from the what I could see of the
> display, minus timestamps which start at 3.025619 and end at 3.864838):
> 
> sd 4:0:0:0: [sdb] No Caching mode page present
> sd 4:0:0:0: [sdb] Assuming drive cache: write through
> sd 4:0:0:0: [sdb] Attached SCSI removable disk
> usb 1-6: New USB device found, idVendor=13d3, idProduct=5702
> usb 1-6: New USB device strings: Mfr=3, Product=1, SerialNumber=2
> usb 1-6: Product: USB2.0 UVC VGA WebCam
> usb 1-6: Manufacturer: Azurewave
> usb 1-6: SerialNumber: 200901010001
> busybox: sending ioctl 5310 to a partition!
> busybox: sending ioctl 5310 to a partition!
> aufs: module is from the staging directory, the quality is unknown, you have been warned.
> aufs 3.2-20120312
> loop: module loaded
> squashfs: version 4.0 (2009/01/31) Phillip Lougher
> Kernel panic - not syncing: Attempted to kill init!
> Pid: 1, comm: init Tainted: G         C   3.2.0-3-686-pae #1
> Call Trace:
>  [<c12bb01f>] ? panic+0x4d/0x144
>  [<c103aa94>] ? do_exit+0x76/0x5f7
>  [<c103b217>] ? do_group_exit+0x5c/0x7f
>  [<c103b24b>] ? sys_exit_group+0x11/0x11
>  [<c12bfa14>] ? syscall_call+0x7/0xb
>  [<c12b0000>] ? quirk_usb_early_handoff+0x4a9/0x522
[...]

init exited; probably a bug in the initramfs.

Ben.

-- 
Ben Hutchings
Who are all these weirdos? - David Bowie, about L-Space IRC channel #afp
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-image-3.2.0-3-686-pae' to 'live-build'. Request was from Ben Hutchings <ben@decadent.org.uk> to 682504-submit@bugs.debian.org. (Mon, 23 Jul 2012 12:12:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux/3.2.21-3. Request was from Ben Hutchings <ben@decadent.org.uk> to 682504-submit@bugs.debian.org. (Mon, 23 Jul 2012 12:12:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-build' to 'initramfs-tools'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 23 Jul 2012 12:24:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#682504; Package initramfs-tools. (Mon, 23 Jul 2012 12:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 23 Jul 2012 12:33:11 GMT) Full text and rfc822 format available.

Message #21 received at 682504@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 682504@bugs.debian.org
Cc: debian-live@lists.debian.org
Subject: Re: Processed: Re: Bug#682504: Kernel panic booting live iso hybrid image as USB: quirk_usb_early_handoff
Date: Mon, 23 Jul 2012 14:21:57 +0200
reassign 682504 initramfs-tools
thanks

On 07/23/2012 02:17 PM, Ben Armstrong wrote:
> Thanks, Ben. I'm rebuilding my image against live-boot & live-config git HEAD to see if the issue is
> solved in git, and will try to capture earlier messages from the bad image to see if I can determine
> what killed init.

why would that be a bug in live-*? live-* comes after the init from
initramfs-tools, if init crashes, then that's a bug in initramfs-tools.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'Vanilla standard live image kernel panics: init killed' from 'Kernel panic booting live iso hybrid image as USB: quirk_usb_early_handoff' Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Tue, 24 Jul 2012 23:24:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'initramfs-tools' to 'live-boot'. Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Tue, 24 Jul 2012 23:24:06 GMT) Full text and rfc822 format available.

Marked as found in versions live-boot/3.0~a36-1. Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Tue, 24 Jul 2012 23:24:06 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Tue, 24 Jul 2012 23:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#682504; Package live-boot. (Wed, 25 Jul 2012 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 25 Jul 2012 01:06:03 GMT) Full text and rfc822 format available.

Message #34 received at 682504@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 682504@bugs.debian.org
Subject: Vanilla standard live image kernel panics: init killed
Date: Tue, 24 Jul 2012 21:31:55 -0300
I retested with a simpler config, just the 'standard' list this time,
but otherwise the same as before. Also, I turned on 'set -x' in the init
script in initramfs to see what was happening. It turns out the crash
occurs in the middle of live-bottom scripts, and that's when I began to
suspect live-boot. I then went back over the logs for various recent
test images I have built, and found I hadn't had any successes yet with
the new live-boot 3.0~a36-1, so I rebuilt again with the vanilla
standard config, but this time reverting to live-boot 3.0~a35-1 and the
problem disappeared.

So, clearly the problem was introduced in 3.0~a36-1, though in the
limited time I had available to test I was unable to determine exactly
where. My main problem is that from one test run to the next I don't
necessarily see the same last line output from init before it dies, so I
can't be certain which line(s) of the scripts caused init to die.

Ben



Severity set to 'serious' from 'grave' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 25 Jul 2012 04:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#682504; Package live-boot. (Thu, 26 Jul 2012 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Nelson <unixabg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 26 Jul 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #41 received at 682504@bugs.debian.org (full text, mbox):

From: Richard Nelson <unixabg@gmail.com>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Cc: 682504@bugs.debian.org
Subject: Re: Bug#682504: Vanilla standard live image kernel panics: init killed
Date: Thu, 26 Jul 2012 14:12:34 -0500
tag 682504 pending
thanks

On Tue, Jul 24, 2012 at 7:31 PM, Ben Armstrong
<synrg@sanctuary.nslug.ns.ca> wrote:
> I retested with a simpler config, just the 'standard' list this time,
> but otherwise the same as before. Also, I turned on 'set -x' in the init
> script in initramfs to see what was happening. It turns out the crash
> occurs in the middle of live-bottom scripts, and that's when I began to
> suspect live-boot. I then went back over the logs for various recent
> test images I have built, and found I hadn't had any successes yet with
> the new live-boot 3.0~a36-1, so I rebuilt again with the vanilla
> standard config, but this time reverting to live-boot 3.0~a35-1 and the
> problem disappeared.
>
> So, clearly the problem was introduced in 3.0~a36-1, though in the
> limited time I had available to test I was unable to determine exactly
> where. My main problem is that from one test run to the next I don't
> necessarily see the same last line output from init before it dies, so I
> can't be certain which line(s) of the scripts caused init to die.
>
> Ben
>

fixed in git.



Added tag(s) pending. Request was from Richard Nelson <unixabg@gmail.com> to control@bugs.debian.org. (Thu, 26 Jul 2012 19:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#682504; Package live-boot. (Thu, 26 Jul 2012 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 26 Jul 2012 22:06:03 GMT) Full text and rfc822 format available.

Message #48 received at 682504@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Richard Nelson <unixabg@gmail.com>
Cc: 682504@bugs.debian.org
Subject: Re: Bug#682504: Vanilla standard live image kernel panics: init killed
Date: Fri, 27 Jul 2012 00:02:55 +0200
On 07/26/2012 09:12 PM, Richard Nelson wrote:
> fixed in git.

thank you ;)

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 26 Jul 2012 22:33:07 GMT) Full text and rfc822 format available.

Notification sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug acknowledged by developer. (Thu, 26 Jul 2012 22:33:07 GMT) Full text and rfc822 format available.

Message #53 received at 682504-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 682504-close@bugs.debian.org
Subject: Bug#682504: fixed in live-boot 3.0~a38-1
Date: Thu, 26 Jul 2012 22:32:12 +0000
Source: live-boot
Source-Version: 3.0~a38-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 682504@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Jul 2012 00:20:39 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a38-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 682504
Changes: 
 live-boot (3.0~a38-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Extending verify-checksums parameters to allow specifying custom
     list of digests.
   * Harmonizing GPL boilerplate texts.
 .
   [ Richard Nelson ]
   * Correct left over references to old initramfs-tools.sh (Closes:
     #682504).
Checksums-Sha1: 
 e59e651ab9743d81e0df265c693d710010c60828 1383 live-boot_3.0~a38-1.dsc
 dc846e1013c96583fe47e577bc27829629512a6b 59824 live-boot_3.0~a38.orig.tar.xz
 f46c520ae93d085cb144132c4d4c4d4cf0597cd4 20376 live-boot_3.0~a38-1.debian.tar.xz
 d05ac50da1aead9c8742a3c1b6fcde0bfd66df0e 47076 live-boot_3.0~a38-1_all.deb
 19f2ac34127d2ba5c16accbe9d16b5ed34290a8a 49948 live-boot-doc_3.0~a38-1_all.deb
 daab52875851d1d000e230733091f95738887134 24140 live-boot-initramfs-tools_3.0~a38-1_all.deb
Checksums-Sha256: 
 3c3e46a432befe0084b2bcc16a77f7ff5357cf22745214892c51cbfd21a8c762 1383 live-boot_3.0~a38-1.dsc
 ac748a9d1e2ba046cf8bd1caf9708e5ffae902a6f2c2dbc44a3ed7b3e21a0647 59824 live-boot_3.0~a38.orig.tar.xz
 101ef169c90de5385efabaac743694dfa11aa336ef462944e841425977e5198d 20376 live-boot_3.0~a38-1.debian.tar.xz
 0c87a9c6c50961f5e83f7d8b9fce86454da00b0bc129dbf75cdc657dd2efd808 47076 live-boot_3.0~a38-1_all.deb
 9799cde9240e1ca9c567ce2c98609562d25deeb90e780d2f9f59223b87792c56 49948 live-boot-doc_3.0~a38-1_all.deb
 5460ca8822953679a3159982e48b876f148a25c9fef1e0c706ec7063dc046021 24140 live-boot-initramfs-tools_3.0~a38-1_all.deb
Files: 
 ac62eb4ec2915e9bc3da435cde525ac9 1383 misc optional live-boot_3.0~a38-1.dsc
 e5664b52e22a149662edf2489874b2ae 59824 misc optional live-boot_3.0~a38.orig.tar.xz
 c4ef6fa945a847c4255af9f26fe236df 20376 misc optional live-boot_3.0~a38-1.debian.tar.xz
 4c09b71d3abd12548b5ff1c1c27a5449 47076 misc optional live-boot_3.0~a38-1_all.deb
 85e80551f8f562a2b81dd313d0cee074 49948 doc optional live-boot-doc_3.0~a38-1_all.deb
 faba1751701937569ee824784b90acc8 24140 misc optional live-boot-initramfs-tools_3.0~a38-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlARxFEACgkQ+C5cwEsrK56H9gCeKF4Iuw/C9HFqLVOWJtrBqDKj
MF4AoIWSjEFRTiMPQ+VXna8+xaHtyDwK
=4gVo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Aug 2012 07:25:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:01:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.